﻿
@{
    ViewData["Title"] = "Ventes";

    Dictionary<DateTime, int> dataGraphique = (Dictionary<DateTime, int>)ViewData["dataGraphique"];
    int totalDesVentes = (int)ViewData["totalDesVentes"];
    float montantTotalDesVentes = (float)ViewData["montantTotalDesVentes"];
}


<div class="row">
    <h1 class="mb-4 mt-1 mx-auto">Ventes</h1>
</div>
<div class="row">
    <div class="col-md-8 p-0 col-12 mx-auto mb-3 border rounded" id="chart_div"></div>

    <div class="col-md-3 offset-md-1">
        <p class="border rounded p-2 "><b>Billets vendus : @totalDesVentes</b></p> <br>
        <p class="border rounded p-2 "><b>Montant ventes : @montantTotalDesVentes €</b></p>
    </div>
</div>


@section Scripts {
    <!--Load the AJAX API-->
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">

        // Load the Visualization API and the corechart package.
        google.charts.load('current', { 'packages': ['corechart', 'line'] });

        // Set a callback to run when the Google Visualization API is loaded.
        google.charts.setOnLoadCallback(drawBasic);

        // Callback that creates and populates a data table,
        // instantiates the pie chart, passes in the data and
        // draws it.
        function drawBasic() {

            // Create the data table.
            var data = new google.visualization.DataTable();
            data.addColumn('date', 'Date');
            data.addColumn('number', 'Places vendues');

            data.addRows([
                @foreach(KeyValuePair<DateTime, int> entry in dataGraphique)
                {
                 @:[new Date(@entry.Key.Year, @entry.Key.Month, @entry.Key.Day), @entry.Value],
                }

            ]);

            // Set chart options
            var options = {
                'title': 'Evolution de l\'achat de billets',
                'width': '100%',
                'height': 500
            };

            // Instantiate and draw our chart, passing in some options.
            var chart = new google.visualization.LineChart(document.getElementById('chart_div'));
            chart.draw(data, options);
        }
    </script>
}